framework:
    secret: test
    router: { resource: "%kernel.project_dir%/%kernel.test_case%/routing.yml", utf8: true }
    validation: { enabled: true, enable_annotations: true }
    csrf_protection: true
    form:
        enabled: true
        legacy_error_messages: false
    test: ~
    default_locale: en
    session:
        storage_factory_id: session.storage.factory.mock_file
    profiler: { only_exceptions: false }

services:
    logger: { class: Psr\Log\NullLogger }

security:
    enable_authenticator_manager: true
    firewalls:
        secure:
            pattern: ^/secure/
            http_basic: { realm: "Secure Gateway API" }
            entry_point: firewall_entry_point.entry_point.stub
    access_control:
        - { path: ^/secure/, roles: ROLE_SECURE }
    providers:
        in_memory:
            memory:
                users:
                    john: { password: doe, roles: [ROLE_SECURE] }
    password_hashers:
        Symfony\Component\Security\Core\User\InMemoryUser: plaintext
